package lightcontainer.protocol.rules.writer;

import lightcontainer.protocol.ProtocolWriter;
import lightcontainer.protocol.StandardizedDefinitions;

import static lightcontainer.protocol.StandardizedDefinitions.FFE_GET_FILE_RESULT_ERROR;

/**
 * Règle utilisé dans le cas ou une erreur survient lors
 * de la demande de récupération d'un fichier.
 */
public class GetFileErrorRule extends ProtocolWriter {
    // Constants
    //"^GETFILE_ERROR\r\n$"
    private static final String PATTERN = FFE_GET_FILE_RESULT_ERROR;
    public static final String NAME = "GETFILE_ERROR";

    // Constructors
    public GetFileErrorRule() {
        super(NAME, PATTERN);
    }
}
